Subject: TI-99/4a CompactFlash Drive/PIO Port - Slim Profile!

From: "Dan O'Quinn" <[email-masked]>
Date: Sun, 28 Mar 2010 09:57:12 -0400

Item title:            TI-99/4a CompactFlash Drive/PIO Port - Slim Profile!
http://cgi.ebay.com/ws/eBayISAPI.dll?ViewItem&item=200455173999